<?xml version="1.0"?>
<launch>

    <include file="$(find electra_launch)/launch/electra.launch" />
    <include file="$(find roverrobotics_driver)/launch/zero2.launch" />
    <include file="$(find rover_launch)/launch/rover_localization.launch" />

    <include file="$(find rover_leadout_encoder)/launch/rover_leadout_encoder.launch" />
    <include file="$(find rover_angles)/launch/rover_angles.launch" />

    <arg name="controller_type" />

    <include if="$(eval arg('controller_type') == 'old')" file="$(find electra_tether_controller)/launch/electra_tether_controller.launch" />
    <include if="$(eval arg('controller_type') == 'new')" file="$(find electra_tether_controller)/launch/tipping_slipping_tether_controller.launch" />

    <arg name="camera_model" default="zed2i" />
    <include file="$(find zed_wrapper)/launch/$(arg camera_model).launch">
        <arg name="camera_model" value="$(arg camera_model)" />
        <arg name="svo_file" value="" />
        <arg name="stream" value="" />
    </include>

    <node ns="zed2i" pkg="topic_tools" type="throttle" name="imu_throttle" output="screen" args="messages /zed2i/zed_node/imu/data 25.0" />
    <node ns="electra" pkg="topic_tools" type="throttle" name="electra_throttle" output="screen" args="messages /electra/loadcell/raw 25.0" />

</launch>